ListHistoryAction (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.ui.action.resource.common.control.ListHistoryAction class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui.action.resource.common.control
Class ListHistoryAction

    java.lang.Object
      org.apache.struts.action.Action
          org.apache.struts.tiles.actions.TilesAction
              org.hyperic.hq.ui.action.resource.common.control.ListHistoryAction

    public class ListHistoryAction

extends org.apache.struts.tiles.actions.TilesAction

A tiles Controller that retrieves a history of control actions for a server.

Field Summary

Fields inherited from class org.apache.struts.action.Action
`servlet`

Constructor Summary
`ListHistoryAction()`

Method Summary
`org.apache.struts.action.ActionForward` | `execute(org.apache.struts.tiles.ComponentContext context, org.apache.struts.action.ActionMapping mapping, org.apache.struts.action.ActionForm form, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Retrieve a `PageList` of all `EventLogValue` objects and save it into the request attribute `Constants.CONTROL_HST_DETAIL_ATTR`.

Methods inherited from class org.apache.struts.tiles.actions.TilesAction
`execute`

Methods inherited from class org.apache.struts.action.Action
`addErrors, addMessages, execute, generateToken, getErrors, getLocale, getMessages, getResources, getResources, getServlet, isCancelled, isTokenValid, isTokenValid, resetToken, saveErrors, saveErrors, saveMessages, saveMessages, saveToken, setLocale, setServlet`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ListHistoryAction

    public ListHistoryAction()

Method Detail

### execute

    public org.apache.struts.action.ActionForward execute(org.apache.struts.tiles.ComponentContext context,
                                                          org.apache.struts.action.ActionMapping mapping,
                                                          org.apache.struts.action.ActionForm form,
                                                          javax.servlet.http.HttpServletRequest request,
                                                          javax.servlet.http.HttpServletResponse response)
                                                   throws java.lang.Exception

  Retrieve a `PageList` of all `EventLogValue` objects and save it into the request attribute `Constants.CONTROL_HST_DETAIL_ATTR`.

  Overrides:
    `execute` in class `org.apache.struts.tiles.actions.TilesAction`
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.